#
# spec file for package python-yara
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-yara
Version:        4.0.2
Release:        bp156.3.5
Summary:        Python Bindings for YARA (from Virus Total)
License:        Apache-2.0
Group:          Development/Libraries/Python
URL:            https://github.com/VirusTotal/yara-python
Source:         https://github.com/VirusTotal/yara-python/archive/v%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  python-rpm-macros
BuildRequires:  pkgconfig(yara) >= 4.0
%python_subpackages

%description
python bindings for libyara.
YARA is a tool to identify and classify malware samples.

%prep
%setup -q -n yara-python-%{version}

%build
%python_build --dynamic-linking

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitearch} $python tests.py

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitearch}/*

%changelog
* Wed Aug 19 2020 Hans-Peter Jansen <hpj@urpla.net>
- Update to 4.0.2, tied to changes in yara package itself only
* Tue May 22 2018 tchvatal@suse.com
- Update to 3.7.0, tied to changes in yara package itself only
- Run tests
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Tue Jun  6 2017 Greg.Freemyer@gmail.com
- update to v3.6.1
  - see yara package for changelog
* Tue Oct 11 2016 Greg.Freemyer@gmail.com
- rm   %%exclude /usr/lib/debug/    - No idea why it was present
* Fri Sep 30 2016 Greg.Freemyer@gmail.com
- yara 3.4 and before had a subpackage of python-yara in the main tarball.
-   In Yara 3.5 it was moved out into its own tarball.
-   Doing the same in OBS
